Name:           solaar
Version:        0.9.1
Release:        2%{?dist}
Group:          Applications/System
Summary:        Device manager for Logitech Unifying Receiver
URL:            http://pwr.github.io/Solaar/
Source0:        https://github.com/pwr/Solaar/archive/%{version}.tar.gz
BuildArch:      noarch
License:        GPLv2
# Note: package review (bug #957529) states:
# - However, no license headers are included in the source code, and no
#   verbal specification of the license exists either.
# - Please ask upstream to add a proper license definition.
# I think this is covered by the combination of the contents of the
# COPYRIGHT and COPYING doc files, but per the review comments, a request
# has been emailed to upstream on 14-JUL-2013.

BuildRequires:  python2-devel desktop-file-utils

Requires:       python-pyudev
Requires:       unifying-receiver-udev

%description
Solaar is a device manager for Logitech's Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for each
device, and also pair/unpair supported devices with the receiver.

%package doc
Group:          Applications/System
Summary:        Documentation for Solaar
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
This package provides documentation for Solaar, a device manager for
Logitech's Unifying Receiver peripherals.

%prep
%setup -q -n Solaar-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/solaar.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc COPYING COPYRIGHT share/README
# Notice of incorrect FSF address in COPYING file emailed to author on
# 2013-04-28.
%{_bindir}/solaar
%{_bindir}/solaar-cli
%{python_sitelib}/hidapi
%{python_sitelib}/logitech_receiver
%{python_sitelib}/solaar
%{python_sitelib}/solaar-%{version}-py2.7.egg-info
%{_datadir}/solaar/
%{_datadir}/applications/solaar.desktop
%{_datadir}/icons/hicolor/scalable/apps/solaar.svg
%config(noreplace) %{_sysconfdir}/xdg/autostart/solaar.desktop

%files doc
%doc docs

%changelog
* Fri Jul 19 2013 Eric Smith <eric@brouhaha.com> 0.9.1-2
- Added scriptlets to update icon caches.
- Added BuildRequires for desktop-file-utils.

* Sun Jul 14 2013 Eric Smith <eric@brouhaha.com> 0.9.1-1
- Updated to latest upstream.
- Consistently use "solaar" rather than name macro.
- Removed extraneous dependency on pygtk2.
- Moved documentation into subpackage.

* Sun Apr 28 2013 Eric Smith <eric@brouhaha.com> 0.8.7-1
- initial version
